Class | Bio::PDB::Coordinate
In: | lib/bio/db/pdb/atom.rb
Parent: | Vector

Bio::PDB::Coordinate is a class to store a 3D coordinate. It inherits Vector (in bundled library in Ruby).

### Methods

[] distance elements to_ary x x= xyz y y= z z=

### Public Class methods

[](x,y,z)

same as Vector.[x,y,z]

[Source]

        # File lib/bio/db/pdb/atom.rb, line 33
    33:       def self.[](x,y,z)
    34:         super
    35:       end

elements(array, *a)

same as Vector.elements

[Source]

        # File lib/bio/db/pdb/atom.rb, line 38
    38:       def self.elements(array, *a)
    39:         raise 'Size of given array must be 3' if array.size != 3
    40:         super
    41:       end

### Public Instance methods

distance(object2)

distance between object2.

[Source]

        # File lib/bio/db/pdb/atom.rb, line 70
    70:       def distance(object2)
    71:         Utils::convert_to_xyz(object2)
    72:         (self - object2).r
    73:       end

to_ary()

Implicit conversion to an array.

Note that this method would be deprecated in the future.

[Source]

        # File lib/bio/db/pdb/atom.rb, line 64
    64:       def to_ary; self.to_a; end

x()

x

[Source]

        # File lib/bio/db/pdb/atom.rb, line 44
    44:       def x; self[0]; end

x=(n)

x=(n)

[Source]

        # File lib/bio/db/pdb/atom.rb, line 50
    50:       def x=(n); self[0]=n; end

xyz()

returns self.

[Source]

        # File lib/bio/db/pdb/atom.rb, line 67
    67:       def xyz; self; end

y()

y

[Source]

        # File lib/bio/db/pdb/atom.rb, line 46
    46:       def y; self[1]; end

y=(n)

y=(n)

[Source]

        # File lib/bio/db/pdb/atom.rb, line 52
    52:       def y=(n); self[1]=n; end

z()

z

[Source]

        # File lib/bio/db/pdb/atom.rb, line 48
    48:       def z; self[2]; end

z=(n)

z=(n)

[Source]

        # File lib/bio/db/pdb/atom.rb, line 54
    54:       def z=(n); self[2]=n; end

[Validate]